Package org.apache.commons.math3.optimization

# Interface MultivariateDifferentiableVectorOptimizer

All Superinterfaces:
  `BaseMultivariateVectorOptimizer<MultivariateDifferentiableVectorFunction>`, `BaseOptimizer<PointVectorValuePair>`

All Known Implementing Classes:
  `MultivariateDifferentiableVectorMultiStartOptimizer`

@Deprecated public interface MultivariateDifferentiableVectorOptimizer extends BaseMultivariateVectorOptimizer<MultivariateDifferentiableVectorFunction>
Deprecated.
As of 3.1 (to be removed in 4.0).
This interface represents an optimization algorithm for `differentiable vectorial objective functions`.

Since:
  3.1

## Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateVectorOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`